#### D.5.2.14 chSum

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chSum(c, C); c, C lists of polynomials

Return:
  list of polynomials

Purpose:
  computes the Chern classes of a direct sum of two vector bundles

Note:

Example:

    LIB "chern.lib";
    ring r = 0, (c(1..3), C(1..2)), dp;
    // Let E be a vector bundle with Chern classes c(1), c(2), c(3).
    // Let F be a vector bundle with Chern classes C(1), C(2).
    list l=c(1..3);
    list L=C(1..2);
    // Then the Chern classes of their direct sum are
    print( chSum(l, L) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.